Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84847 - Screen blanks when exiting XFree86
Summary: Screen blanks when exiting XFree86
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86
Version: 1.0
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks: 79579
TreeView+ depends on / blocked
 
Reported: 2003-02-22 00:33 UTC by louisgtwo
Modified: 2005-10-31 22:00 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-25 15:01:15 UTC


Attachments (Terms of Use)
my config file (deleted)
2003-02-22 20:27 UTC, louisgtwo
no flags Details
my XFree86 log (deleted)
2003-02-22 20:28 UTC, louisgtwo
no flags Details
This shows the error better. (deleted)
2003-02-24 01:15 UTC, louisgtwo
no flags Details
Log file showing a segfault at shutdown (deleted)
2003-02-24 20:42 UTC, louisgtwo
no flags Details

Description louisgtwo 2003-02-22 00:33:44 UTC
Once I installed phoebe3 every time I shutdown from gnome I get a blank
screen. Before I could see the daemons shutting down. Also, if I run init 3 from
init 5 all I get is a blank screen. When booting into init 3   and starting X I
get a blank screen when leaving X. This is with all current updates from rawhide
(2/21)

Comment 1 Michael Fratoni 2003-02-22 20:18:47 UTC
Using the links to create an attachment, could you please post your 
config and log files?
(/etc/X11/XF86Config & /var/log/XFree86.0.log)

Comment 2 louisgtwo 2003-02-22 20:27:27 UTC
Created attachment 90282 [details]
my config file

Comment 3 louisgtwo 2003-02-22 20:28:59 UTC
Created attachment 90283 [details]
my XFree86 log

Comment 4 louisgtwo 2003-02-24 01:15:25 UTC
Created attachment 90302 [details]
This shows the error better.

This log shows the server aborting from a signal 11

Comment 5 louisgtwo 2003-02-24 20:42:01 UTC
Created attachment 90319 [details]
Log file showing a segfault at shutdown

This is from a stock system

Comment 6 Sammy 2003-02-24 21:33:41 UTC
I can confirm the same behavior with XFree86-4.2.99.902-20030220.1 using the nv driver. 

Comment 7 Mike A. Harris 2003-02-25 13:20:18 UTC
Try again with XFree86-4.2.99.902-20030224.1 which I believe fixes this
issue on all hardware.  Setting to MODIFIED, please close as RAWHIDE or
set to ASSIGNED depending on your test results.

Comment 8 Sammy 2003-02-25 14:46:42 UTC
XFree86-4.2.99.902-20030224.0 fixes the problem. Please close. 

Comment 9 Mike A. Harris 2003-02-25 15:01:15 UTC
Beauty.  This was a problem that was not driver specific, but was part
of the ramdac/xf86Cursor.c fixes that went in in the last few days.

Closeing as RAWHIDE

Comment 10 louisgtwo 2003-02-25 19:56:32 UTC
Where can I get this version? rawhide has not synced in a few days.

Comment 11 Mike A. Harris 2003-02-26 05:05:29 UTC
ftp://people.redhat.com/mharris/ftp/testing/unstable


Note You need to log in before you can comment on or make changes to this bug.